<template>
  <div>
    <basicMessage :id="id"></basicMessage>
    <projectPath :id="id" v-on="$listeners" @on-drawer="handleDrawer" :isClose="isClose"></projectPath>
    <drawerPage ref="drawerPage" :id="id" @drawerClose="drawerClose" > </drawerPage>
  </div>
</template>

<script>
import basicMessage from './components/basicMessage.vue';
import projectPath from './components/projectPath.vue'
import drawerPage from './components/drawer.vue'
export default {
  components: {
    basicMessage,
    projectPath,
    drawerPage,
  },
  props: {
    id:'',
  },
  data() {
    return {
      isClose:false,
    };
  },
  watch: {},
  computed: {},
  created() {},
  mounted() {},
  methods: {
    drawerClose(val) {
      this.isClose = !this.isClose
    },
    handleDrawer(obj) {
      this.$refs.drawerPage.open(obj)
    },
  },
};
</script>
<style lang="scss" scoped>
</style>